Bug 26224 - Prevent double submit of header checkin form
Summary: Prevent double submit of header checkin form
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 26136
Blocks:
  Show dependency treegraph
 
Reported: 2020-08-17 10:15 UTC by Nick Clemens
Modified: 2020-10-29 16:57 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05, 19.11.11, 19.05.17


Attachments
Bug 26224: Prevent double submit of header check in form (2.05 KB, patch)
2020-08-17 10:18 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26224: Prevent double submit of header check in form (2.12 KB, patch)
2020-09-24 12:44 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26224: Prevent double submit of header check in form (2.17 KB, patch)
2020-09-24 18:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-08-17 10:15:41 UTC
Same as bug 26136, but for the checkin form in the header
Comment 1 Nick Clemens 2020-08-17 10:18:46 UTC
Created attachment 108390 [details] [review]
Bug 26224: Prevent double submit of header check in form

To test:
 1 - Browse to Home
 1 - In the header bar select the 'Check in' tab
 2 - Type a barcode into the box
 3 - Hit Enter as many as times as you can
 4 - Check the statistics table:
    SELECT * FROM statistics WHERE itemnumber={itemnumber} AND DATE(datetime)=CURDATE();
 5 - Note you have multiple lines for the same item at the same time
 6 - Apply patch
 7 - Reload the page
 8 - Type the barcode
 9 - Press Enter even more fast and more furiously
10 - Check the statistics table
11 - Only one entry, huzzah!
Comment 2 Andrew Fuerste-Henry 2020-09-24 12:44:57 UTC
Created attachment 110647 [details] [review]
Bug 26224: Prevent double submit of header check in form

To test:
 1 - Browse to Home
 1 - In the header bar select the 'Check in' tab
 2 - Type a barcode into the box
 3 - Hit Enter as many as times as you can
 4 - Check the statistics table:
    SELECT * FROM statistics WHERE itemnumber={itemnumber} AND DATE(datetime)=CURDATE();
 5 - Note you have multiple lines for the same item at the same time
 6 - Apply patch
 7 - Reload the page
 8 - Type the barcode
 9 - Press Enter even more fast and more furiously
10 - Check the statistics table
11 - Only one entry, huzzah!

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Andrew Fuerste-Henry 2020-09-24 12:45:38 UTC
Just a note I had to clear my cache after applying patch to get the behavior to change.
Comment 4 Katrin Fischer 2020-09-24 18:45:26 UTC
Created attachment 110691 [details] [review]
Bug 26224: Prevent double submit of header check in form

To test:
 1 - Browse to Home
 1 - In the header bar select the 'Check in' tab
 2 - Type a barcode into the box
 3 - Hit Enter as many as times as you can
 4 - Check the statistics table:
    SELECT * FROM statistics WHERE itemnumber={itemnumber} AND DATE(datetime)=CURDATE();
 5 - Note you have multiple lines for the same item at the same time
 6 - Apply patch
 7 - Reload the page
 8 - Type the barcode
 9 - Press Enter even more fast and more furiously
10 - Check the statistics table
11 - Only one entry, huzzah!

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-09-28 14:11:41 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-10-20 14:08:11 UTC
backported to 20.05.x for 20.05.05
Comment 7 Aleisha Amohia 2020-10-27 04:01:01 UTC
backported to 19.11.x for 19.11.11
Comment 8 Victor Grousset/tuxayo 2020-10-29 16:57:04 UTC
Backported to 19.05.x branch for 19.05.17